package com.fs.live.service;


import com.fs.live.domain.LiveWatchConfig;

import java.util.List;

/**
 * 直播观看奖励设置Service接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface ILiveWatchConfigService {
    /**
     * 查询直播观看奖励设置
     *
     * @param id 直播观看奖励设置主键
     * @return 直播观看奖励设置
     */
    LiveWatchConfig selectLiveWatchConfigById(Long id);

    /**
     * 查询直播观看奖励设置列表
     *
     * @param liveWatchConfig 直播观看奖励设置
     * @return 直播观看奖励设置集合
     */
    List<LiveWatchConfig> selectLiveWatchConfigList(LiveWatchConfig liveWatchConfig);

    /**
     * 新增直播观看奖励设置
     *
     * @param jsonConfig 直播观看奖励设置
     * @return 结果
     */
    int insertLiveWatchConfig(String userId, String jsonConfig);

    /**
     * 修改直播观看奖励设置
     *
     * @param jsonConfig 直播观看奖励设置
     * @return 结果
     */
    int updateLiveWatchConfig(String jsonConfig);

    /**
     * 批量删除直播观看奖励设置
     *
     * @param ids 需要删除的直播观看奖励设置主键集合
     * @return 结果
     */
    int deleteLiveWatchConfigByIds(Long[] ids);

    /**
     * 删除直播观看奖励设置信息
     *
     * @param id 直播观看奖励设置主键
     * @return 结果
     */
    int deleteLiveWatchConfigById(Long id);

    /**
     * 根据直播id查询直播观看奖励设置
     *
     * @param id 直播id
     * @return 直播观看奖励设置
     */
    String selectLiveWatchConfigByLiveId(Long id);
}
